%bcond_without check

%global goipath         github.com/OpenPrinting/ipp-usb
Version:                0.9.24
%global tag             0.9.24

%gometa

%global common_description %{expand:
HTTP reverse proxy, backed by IPP-over-USB connection to device. It enables
 driverless support for USB devices capable of using IPP-over-USB protocol.
}

%global golicenses      LICENSE
%global godocs          README.md

%global godevelheader %{expand:
Requires:  pkgconfig(avahi-client) >= 0.7
Requires:  pkgconfig(libusb-1.0) >= 1.0
}

Name:           %{goname}
Release:    1%{?dist}
Summary:        HTTP reverse proxy, backed by IPP-over-USB connection to device

License:        BSD-2-Clause
URL:            %{gourl}
Source0:        %{gosource}

Patch001: pantum-support-revert.patch

BuildRequires:  pkgconfig(avahi-client) >= 0.7
BuildRequires:  golang(github.com/OpenPrinting/goipp)
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0
BuildRequires:  pkgconf-pkg-config
BuildRequires:  systemd-rpm-macros


%package -n ipp-usb
Summary: HTTP reverse proxy capable of IPP-over-USB connection
Requires: systemd
Requires: systemd-udev

%description -n ipp-usb
%{common_description}

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch

%build
%gobuild -o %{gobuilddir}/bin/ipp-usb %{goipath}

%install
%gopkginstall

install -m 0755 -vd                        %{buildroot}%{_sbindir}
install -m 0755 -vp %{gobuilddir}/bin/*    %{buildroot}%{_sbindir}/
install -m 0755 -vd                        %{buildroot}%{_udevrulesdir}
install -m 0644 -vp systemd-udev/*.rules   %{buildroot}%{_udevrulesdir}
install -m 0755 -vd                        %{buildroot}%{_unitdir}
install -m 0644 -vp systemd-udev/*.service %{buildroot}%{_unitdir}
install -m 0755 -vd                        %{buildroot}%{_sysconfdir}/ipp-usb
install -m 0644 -vp ipp-usb.conf           %{buildroot}%{_sysconfdir}/ipp-usb/
install -m 0755 -vd                        %{buildroot}%{_sysconfdir}/ipp-usb/quirks
install -m 0755 -vd                        %{buildroot}%{_mandir}/man8
install -m 0644 -vp ipp-usb.8              %{buildroot}%{_mandir}/man8
install -m 0755 -vd %{buildroot}%{_datadir}/ipp-usb
install -m 0755 -vd %{buildroot}%{_datadir}/ipp-usb/quirks
install -m 0644 -vp ipp-usb-quirks/* %{buildroot}%{_datadir}/ipp-usb/quirks

%post -n ipp-usb
%systemd_post ipp-usb.service

%preun -n ipp-usb
%systemd_preun ipp-usb.service

%postun -n ipp-usb
%systemd_postun_with_restart ipp-usb.service

%if %{with check}
%check
%gocheck
%endif

%files -n ipp-usb
%license LICENSE
%doc README.md
%dir %{_datadir}/ipp-usb
%dir %{_datadir}/ipp-usb/quirks
%{_datadir}/ipp-usb/quirks/*
%{_mandir}/man8/ipp-usb.8.*
%{_sbindir}/ipp-usb
%dir %{_sysconfdir}/ipp-usb/
%config(noreplace) %{_sysconfdir}/ipp-usb/ipp-usb.conf
%dir %{_sysconfdir}/ipp-usb/quirks
%{_udevrulesdir}/*.rules
%{_unitdir}/*.service

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
